Description

It would be nice to be able to specify a grid shift binary file when re-projecting or transforming data.

I have some ntv2 grid shift files from both Federal and Provincial agencies that have been compiled into proj4 which gdal and qgis have,

in-turn, been compiled against.

Maybe this option could be made available in the "save as..." window if the user chooses to specify a different target spatial reference

system.

There are options to add "Data Source" and "Layer" Creation Options but can't specify custom proj transformations using a specific grid

shift file (.gsb).

History

#1 - 2013-12-30 06:00 PM - Donovan Cameron

This option could also be useful in some cases when "re-project on the fly" is enabled.

#2 - 2013-12-31 12:08 AM - Giovanni Manghi

- Status changed from Open to Feedback

You have many options here:

*) create custom CRSs that include the parameter to specify the ntv2 grid

*) help us migrate the "transformation tools" plugin from qgis 1.8 to 2.0: the plugin allows to easily create datum transformations (then automatically

recognized by qgis) based on ntv2 grids and other parameters

*) qgis master supports datum transformations and user defined ntvs grids, see

#3a14b5384977897de5ac35b74e89d1ae821d212e#commitcomment-4553078

for now you must provide the transformation parameters to be added in a QGIS internal database (then the grids must me placed where gdal is supposed

to find them by default).

#3 - 2013-12-31 09:45 AM - Donovan Cameron

Thanks for those tips.

Going to consider them all.
#4 - 2016-01-07 10:13 AM - Donovan Cameron

I think this is fine to close, because since then there has been transformation enhancements since this report that allow me to select the transformation

(but only if it's compiled with Proj4, but that's OK).

#5 - 2016-01-07 10:29 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to wontfix

Donovan Cameron wrote:

I think this is fine to close, because since then there has been transformation enhancements since this report that allow me to select the

transformation (but only if it's compiled with Proj4, but that's OK).

there is also

https://github.com/NaturalGIS/ntv2_transformations

if the grid can be redistributed I can add the transformations you need.

#6 - 2016-01-07 12:38 PM - Donovan Cameron

The NTv2 grid shift binary is covered by the Open Government License - Canada but I'm not a license expert to see if it's compatible with GPL for QGIS or

the ntv2 plugin license.

You have to sign in to get it as well.

I was surprised when I put a request for the dataset to be under the Open Government License and the Gov of Canada did it!

It's a larger grid shift binary (>10MB) so that could affect the plugin size.

Looks like there is an open issue for your plugin with this exact thing - https://github.com/NaturalGIS/ntv2_transformations/issues/13

#7 - 2016-01-08 12:23 AM - Giovanni Manghi

It's a larger grid shift binary (>10MB) so that could affect the plugin size.

this is not an issue, ntv2 grids are not shipped with the plugin itself, but downloaded (from a github repo) the first time a specific transformation needs

them.
https://github.com/NaturalGIS/ntv2_transformations
http://open.canada.ca/en/open-government-licence-canada
http://webapp.geod.nrcan.gc.ca/geod/tools-outils/applications.php?locale=en
https://github.com/NaturalGIS/ntv2_transformations/issues/13

